GDB (xrefs)

Public Attributes | List of all members
aarch64_displaced_step_closure Struct Reference
Inheritance diagram for aarch64_displaced_step_closure:

## Public Attributes
int | cond = 0
int32_t | pc_adjust = 0

## Additional Inherited Members
Public Member Functions inherited from displaced_step_closure
virtual | ~displaced_step_closure ()=0

## Detailed Description

Definition at line 2488 of file aarch64-tdep.c.

## Member Data Documentation

## ◆ cond

int aarch64_displaced_step_closure::cond = 0

Definition at line 2492 of file aarch64-tdep.c.

Referenced by aarch64_displaced_step_b_cond(), aarch64_displaced_step_cb(), aarch64_displaced_step_fixup(), and aarch64_displaced_step_tb().

## ◆ pc_adjust

int32_t aarch64_displaced_step_closure::pc_adjust = 0

Definition at line 2495 of file aarch64-tdep.c.

Referenced by aarch64_displaced_step_adr(), aarch64_displaced_step_b(), aarch64_displaced_step_b_cond(), aarch64_displaced_step_cb(), aarch64_displaced_step_fixup(), aarch64_displaced_step_ldr_literal(), aarch64_displaced_step_others(), and aarch64_displaced_step_tb().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/aarch64-tdep.c